complexType "ConsentRefused"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 23 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definition of 1 element
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, parentCorrelationId?, correlationId, sequenceNumber?, onBehalfOf?, ((originatingEvent?, trade) | amendment | increase | (terminatingEvent?, termination) | novation | change | optionExercise | optionExpiry+ | deClear | withdrawal | additionalEvent | tradeReferenceInformation)?, (party+, account*)?, reason*
</...>

Content Model Elements (23):

  account, additionalEvent, amendment, change (defined in Events.model group), correlationId, deClear, header (defined in ResponseMessage complexType), increase, novation, onBehalfOf (defined in OnBehalfOf.model group), optionExercise, optionExpiry (defined in Events.model group), | originatingEvent (defined in Events.model group), parentCorrelationId, party (defined in PartiesAndAccounts.model group), reason (in consentRefused), sequenceNumber (defined in Sequence.model group), terminatingEvent (defined in Events.model group), termination, trade (defined in Events.model group), tradeReferenceInformation, validation, withdrawal

All Direct / Indirect Based Elements (1):

  consentRefused

Known Usage Locations

- As direct type of elements (1):
  consentRefused

Annotation
A message indicating that the sender does not grant consent for the recipient to perform the requested action.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) ConsentRefused

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="ConsentRefused"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:group minOccurs="0" ref="EventsOrInfo.model"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 1/23)
reason

  Type: | Reason, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.